clear();
disp("Schritt 1: Eigenwerte des linearisierten Systems:");

//  phi.. = phi * mgh/J + FA * h/J

//  =>   phi. = om
//       om.  = phi * mgh/J + FA * h/J

//  =>

m = 1;  //kg
g = 9.81; //m/s^2
h = 0.5; //m
r = 0.1; //m
l = 2*h;
J = 0.25*m*r^2 + (1/12)*m*l; // kg*m^2

A = [0,1 ; m*g*h/J, 0]

B = [0;h/J]

lambda = spec(A);

disp("EW ohne Regler:");
disp(lambda);  //   lambda1/2=  +/- 7.5594729  (instabil)

disp("Schritt 2: Bestimmung der Parameter des Zustandsreglers mit ppol:");

//R=ppol(A,B,EW),   [phi.; om.] = A*y - B*R*y
//(vergl. Kapitel 8 unten)
//Ergebnis überprüfen:
EW = [-1+%i,-1-%i]
R=ppol(A,B,EW)  // == 10.153333    0.3433333  
spec(A-B*R)

disp("Testen des Refglers im Originalsystem: siehe inverspendel_test.sce");

//  FA = -10.153333*phi -0.3433333*om





 